Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513162 - Dynamic refresh and refresh button click not working
Summary: Dynamic refresh and refresh button click not working
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: eclarizi
QA Contact: Dave Johnson
URL:
Whiteboard: service
Depends On:
Blocks: 1527608
TreeView+ depends on / blocked
 
Reported: 2017-11-14 20:44 UTC by Shveta
Modified: 2018-06-21 20:20 UTC (History)
12 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1527608 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:20:11 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
Dialog (deleted)
2017-11-14 20:44 UTC, Shveta
no flags Details
Auotmate method (deleted)
2017-11-14 20:46 UTC, Shveta
no flags Details

Description Shveta 2017-11-14 20:44:06 UTC
Created attachment 1352160 [details]
Dialog

Description of problem:


Version-Release number of selected component (if applicable):
5.9.0.8.20171109215303_ed87902 

How reproducible:


Steps to Reproduce:
1. Import the attached dialog and automate method.
2. Create a catalog item and use the dialog above.
3. Order catalog item. Selecting values in dropdown should refresh the values in 
Location dropdown and Text Area. 


Actual results:
Values are not refreshed. Refresh button click also does not do anything .

Expected results:


Additional info:This works in 5.8

Comment 2 Shveta 2017-11-14 20:46:23 UTC
Created attachment 1352161 [details]
Auotmate method

Comment 5 CFME Bot 2017-11-21 16:53:59 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/96cf8eefee641888bed167f0217f80e68e1aeee9

commit 96cf8eefee641888bed167f0217f80e68e1aeee9
Author:     Erik Clarizio <eclarizio@gmail.com>
AuthorDate: Thu Nov 16 10:50:48 2017 -0800
Commit:     Erik Clarizio <eclarizio@gmail.com>
CommitDate: Thu Nov 16 10:51:23 2017 -0800

    Hide submit/cancel buttons until the dialog has loaded
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513162
    https://bugzilla.redhat.com/show_bug.cgi?id=1513541

 .../javascripts/controllers/dialog_user/dialog_user_controller.js     | 1 +
 app/views/shared/dialogs/_dialog_user.html.haml                       | 2 +-
 .../controllers/dialog_user/dialog_user_controller.spec.js            | 4 ++++
 3 files changed, 6 insertions(+), 1 deletion(-)

Comment 6 CFME Bot 2017-11-21 16:54:09 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/eebd63ef869de33e36aeca25502ccb51d8e8af1a

commit eebd63ef869de33e36aeca25502ccb51d8e8af1a
Author:     Erik Clarizio <eclarizio@gmail.com>
AuthorDate: Wed Nov 15 16:11:46 2017 -0800
Commit:     Erik Clarizio <eclarizio@gmail.com>
CommitDate: Thu Nov 16 10:51:23 2017 -0800

    Only force old dialog use when legitimate api endpoint does not exist
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513162

 app/views/shared/dialogs/_dialog_provision.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 11 CFME Bot 2017-12-19 13:15:01 UTC
New commit detected on ManageIQ/ui-components/master:
https://github.com/ManageIQ/ui-components/commit/14ec882aabd93f7e99ed094d8035e8e29c0e2c55

commit 14ec882aabd93f7e99ed094d8035e8e29c0e2c55
Author:     Erik Clarizio <eclarizio@gmail.com>
AuthorDate: Wed Dec 6 23:15:08 2017 -0800
Commit:     Erik Clarizio <eclarizio@gmail.com>
CommitDate: Mon Dec 18 01:11:46 2017 -0800

    Ensure refresh button works and calls a single refresh for dialog fields
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513162

 src/dialog-user/components/dialog-user/dialog.html |  2 +-
 .../components/dialog-user/dialogField.html        |  2 +-
 .../components/dialog-user/dialogField.ts          |  6 ++++++
 .../components/dialog-user/dialogUser.ts           | 25 ++++++++++++++++++----
 .../interfaces/abstractDialogFieldClass.ts         |  1 +
 5 files changed, 30 insertions(+), 6 deletions(-)

Comment 12 CFME Bot 2017-12-19 13:15:08 UTC
New commit detected on ManageIQ/ui-components/master:
https://github.com/ManageIQ/ui-components/commit/3f0c5e7da1d56ee79c8428b1d53213ef21e23682

commit 3f0c5e7da1d56ee79c8428b1d53213ef21e23682
Author:     Erik Clarizio <eclarizio@gmail.com>
AuthorDate: Mon Dec 18 01:09:39 2017 -0800
Commit:     Erik Clarizio <eclarizio@gmail.com>
CommitDate: Mon Dec 18 01:12:48 2017 -0800

    Add specs for refreshSingleField function
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513162

 .../components/dialog-user/dialogField.html        |  4 +--
 .../components/dialog-user/dialogUser.spec.ts      | 38 +++++++++++++++++++++-
 .../components/dialog-user/dialogUser.ts           |  2 +-
 3 files changed, 40 insertions(+), 4 deletions(-)

Comment 13 CFME Bot 2017-12-19 13:15:15 UTC
New commit detected on ManageIQ/ui-components/master:
https://github.com/ManageIQ/ui-components/commit/9489ddc21fecffdcdcf2beb30dc58688d47344eb

commit 9489ddc21fecffdcdcf2beb30dc58688d47344eb
Author:     Erik Clarizio <eclarizio@gmail.com>
AuthorDate: Fri Dec 8 14:26:43 2017 -0800
Commit:     Erik Clarizio <eclarizio@gmail.com>
CommitDate: Mon Dec 18 01:11:46 2017 -0800

    Fix various issues surrounding submit button enablement
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1513162

 src/dialog-user/components/dialog-user/dialog.html |  2 +-
 .../components/dialog-user/dialogField.ts          |  3 +-
 .../components/dialog-user/dialogUser.ts           | 97 +++++++++++++++-------
 3 files changed, 67 insertions(+), 35 deletions(-)

Comment 15 William Fitzgerald 2018-05-03 00:07:51 UTC
Works on 5.9.2.4


Note You need to log in before you can comment on or make changes to this bug.